- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReaderWriterJPEG.cpp File Reference

`#include <osg/Image>`
`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/GL>`
`#include <osgDB/Registry>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <sstream>`
`#include <stdio.h>`
`#include <jpeglib.h>`
`#include <setjmp.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <stdlib.h>`

Include dependency graph for ReaderWriterJPEG.cpp:

## Defines
#define | ERR_NO_ERROR 0
#define | ERR_OPEN 1
#define | ERR_MEM 2
#define | ERR_JPEGLIB 3
## Typedefs
typedef my_error_mgr * | my_error_ptr
## Functions
int | simage_jpeg_error (char *buffer, int buflen)
int | simage_jpeg_identify (const char *, const unsigned char *header, int headerlen)
unsigned char * | simage_jpeg_load (const char *filename, int *width_ret, int *height_ret, int *numComponents_ret)
## Variables
osgDB::RegisterReaderWriterProxy< ReaderWriterJPEG > | g_readerWriter_JPEG_Proxy

## Define Documentation

#define ERR_JPEGLIB 3

#define ERR_MEM 2

#define ERR_NO_ERROR 0

#define ERR_OPEN 1

## Typedef Documentation

typedef struct my_error_mgr* my_error_ptr

## Function Documentation

int simage_jpeg_error | ( | char * | buffer,
|  | int | buflen
| ) |

int simage_jpeg_identify | ( | const char * | ,
|  | const unsigned char * | header,
|  | int | headerlen
| ) |

unsigned char* simage_jpeg_load | ( | const char * | filename,
|  | int * | width_ret,
|  | int * | height_ret,
|  | int * | numComponents_ret
| ) |

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterJPEG> g_readerWriter_JPEG_Proxy